#include "LED.cpp"
#include "BluetoothLEDCallback.cpp"
#include "BluetoothService.cpp"
#include <Arduino.h>

#define FADE_IN_DURATION 500
#define FADE_OUT_DURATION 2000

LEDOutput _ledOutput(0, true);
LED _led(&_ledOutput, FADE_IN_DURATION, FADE_OUT_DURATION);

BluetoothLEDCallback _btCallback(&_led);
BluetoothService _btService("Van Lights", &_btCallback);

void setup() {
	Serial.begin(115200);
	_ledOutput.attach(16);
	_ledOutput.attach(17);
	_ledOutput.attach(5);
	_ledOutput.attach(18);
	_ledOutput.attach(23);

	_btService.init();
	_btService.start();
}

void loop() {
	_led.loop();
}
